XAMPP 1.8.0 phpMyAdmin yükseltme sonrasında tamir

Bir kaç gün önce çıktı XAMPP 1.8.0 Sürümünden yükselttikten sonra 1.7.7 Ben oldukça ilginç bir sorun vardı. PhpMyAdmin-değil benim açılış ve izg″rmâvaše ile 403

Erişimi yasak!


Yeni XAMPP güvenlik kavramı:

Istenen nesne erişim yalnızca yerel ağ bağlantısı kullanılabilir.

Bu ayar dosyasında yapılandırılabilir “Apache xampp.conf”.

Httpd-conf xampp açıldı şimdi bana... / opt/lamba/etc/ekstra içinde yer alan /, ilk bakışta, her şey yolunda gibiydi. Yerel ağ için kurallar iyi olduğunu. Bunun dışında ben localhost açacak. WTF ??? Günlük baktı ve benim erişim konfiguaciâta tarafından kesilmiş bkz:. Burada şeyler zaten ben ve açıkçası biraz şans tür sorun buldum ahnaha. Httpd. conf ve testere izin ver/engelle yan tümceleri bir son sırada üzerinde gidiş sonra Hepsi gerektiren verilen. Oh Eureka için. İçine giren yeni kontrol mekanizması budur Apache 2.4.x. Access veya tür Red verir her şey çok güzel, temelde izin ver/engelle işlevselliği taklit :). Biz bütün içinde verilen / opt/lamba/phpmyadmin klasör gerektirir eklemek sorunu çözmek için. Bu gibi görünüyor bana değişiklikleri sonra

<Dizin “/tercih/lamba/phpmyadmin”>
AllowOverride AuthConfig sınırı
Emri izin,inkar
Tüm izin
Hepsi gerektiren verilen
</Dizin>

 

Her zaman başka bir divoti deneyebilirsiniz, Örneğin, klasör phpmyadmin başka şeyler yeniden adlandırıp değil takma yapmak için. Ama çirkin ve çok anlamlı 🙂

s. s sorular beni neden XAMPP kullanın ve benim Debian olduğu gibi tüm bileşenleri yükleme temiz değil doğdu – cevabı gerçekten çok basittir – TEMBELLİK. Sonra birden çok komut yazmak için tembel beni konfovete vs.. Oldukça kolay almak 's bütün paketi razarhiviraš ve hafif 😉

Zemanta tarafından geliştirilmiş

Cevap bırakın

E-posta hesabınız yayımlanmayacak. Gerekli alanlar işaretlendi *

Anti SPAM *